/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2012 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and may be covered by U.S. and Foreign Patents,
* patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

define({SHOW:"Show",OPEN_SELECTED:"Open Selected",SAVE:"Save",NEW_FOLDER:"New Folder",UPLOAD_FILE:"Upload File",CANCEL_UPLOAD:"Cancel upload",SORT:"Sort",SEARCH_HEADER:"<%= label%> (<%= count%>)",NO_FILES_IN_ROOT:"There are currently no files in Document Cloud.",NO_FILES_IN_CONNECTOR:"There are currently no files in <%= connector %>.",NO_FILES_IN_FOLDER:"This folder is empty.",UPLOAD_TO_ACCESS:"Upload your files to have access to them anywhere.",UNSUPPORTED_CONNECTOR_MSG:"<%= actionName %> is currently not supported for files stored in <%= connectorLabel %>.",NO_SEARCH_RESULTS:"No Search Results.",NO_SEARCH_RESULTS_VIRGO:"No results found",TRY_DIFFERENT_SEARCH:"Please try a different search.",TRY_DIFFERENT_SEARCH_VIRGO:"Check your spelling or try broadening your search.",NO_SEARCH_RESULTS_FOLDER:"There are no applicable files in this folder.",TOO_MANY_SEARCH_TERMS_HEADER:"Maximum search queries exceeded.",TOO_MANY_SEARCH_TERMS_MESSAGE:"Please remove some search queries to see their search results.",NEW_FOLDER_TITLE:"New Folder",NEW_FOLDER_NAME_PLACEHOLDER:"Edit New Folder Name",CREATE_FOLDER:"Create Folder",SORT_BY:"Sort by:",SORT_BY_FILE_NAME:"File Name",SORT_BY_FILE_TYPE:"File Type",SORT_BY_SIZE:"Size",SORT_BY_DATE_ADDED:"Date Added",SORT_BY_DATE_MODIFIED:"Date Modified",SORT_BY_DATE_VIEWED:"Date Viewed",SORT_BY_DATE_OPENED:"Date Opened",ASCENDING:"Ascending",DESCENDING:"Descending",SORTED_BY:"SORTED BY",PREVIEW_NEXT_PAGE:"Preview Next Page",PREVIEW_PREVIOUS_PAGE:"Preview Previous Page",DISPLAY:"Sort",VIEW_BY:"View by:",LIST:"List",THUMBNAIL:"Thumbnail",SORT_BY_FILE_SIZE:"File Size",FILTER:"Filter",FILTER_BY:"Filter by...",TAGS_TITLE:"Tags: Coming soon...",TAGS:"Tags",SEARCH_TITLE:"Search for files",CLEAR_SEARCH_TITLE:"Clear search",SEARCH_RESULTS:"Search Results ...",SEARCH_RESULTS_COUNT:"Search Results (<%= count %>)",SEARCH_RESULTS_UNAVAILABLE:"Search Results Unavailable",ADD_FILTER:"Add Filter",REMOVE_FILTER:"Remove Filter",SELECT_ATTRIBUTE:"Select Attribute",SELECT_VALUE:"Select Value",SELECT_FORMAT:"Select Format",SELECT_DATES:"Select Dates",SELECT_TOOL:"Select Tool",ENTER_VALUE:"Enter Value",SEARCH:"Search",EXPORT_FROM_PDF:"Export PDF",CONVERT_TO_PDF:"Create PDF",COMBINE_TO_PDF:"Combine Files",FILL_SIGN:"Fill & Sign",ADOBE_ACROBAT:"Adobe Acrobat",ADOBE_READER_MOBILE:"Adobe Reader Mobile",ADOBE_READER:"Adobe Reader",MARK_AS_FAVORITE:"Mark As Favorite",FILE_INFO:"File Info",TYPE:"Type",ADDED:"Added",MODIFIED:"Modified",PAGES:"Pages",SIZE:"Size",SHARING_LINK:"Sharing Link",UNSHARE:"unshare",MARK_AS_FAVORITE_COMING_SOON:"Mark As Favorite: Coming soon...",COMING_SOON:"Coming soon...",PREV_PAGE_TITLE:"Previous Page",NEXT_PAGE_TITLE:"Next Page",PAGE_NUM_TITLE:"Page Number",PAGE_NUM_SEPARATOR:"/",PAGE_COUNT_TITLE:"Number of Pages",ZOOM_OUT_TITLE:"Zoom out",ZOOM_IN_TITLE:"Zoom in",SCROLL_PAGES_TITLE:"Scroll Pages",FIT_PAGE_WIDTH_TITLE:"Fit Page Width",FIT_FULL_PAGE_TITLE:"Fit Full Page",SHOW_RHP:"Show Right-Hand Panel",HIDE_RHP:"Hide Right-Hand Panel",SHOW_FILE_INFO:"Show File Info",HIDE_FILE_INFO:"Hide File Info",SHOW_IMAGE_PREVIEW:"Display Classic Preview",SHOW_NGDOC_PREVIEW:"Display Enhanced Preview",UNDOCK:"Undock",DOCK_TO_BOTTOM:"Dock to Bottom",ZERO_ITEMS:"0 items",ONE_FILE:"1 file",N_FILES:"<%= numFiles %> files",ONE_FOLDER:"1 folder",N_FOLDERS:"<%= numFolders %> folders",ONE_FOLDER_ONE_FILE:"1 folder, 1 file",ONE_FOLDER_N_FILES:"1 folder, <%= numFiles %> files",N_FOLDERS_ONE_FILE:"<%= numFolders %> folders, 1 file",N_FOLDERS_N_FILES:"<%= numFolders %> folders, <%= numFiles %> files",UPLOADING:"Uploading...",PROCESSING:"Processing...",SHARED:"Shared",MAKE_PUBLIC:"Make Public",MAKE_PRIVATE:"Make Private",PRIVATE:"Private",PUBLIC:"Public",SHARE_FILES_PRIVATE_TEXT:"The selected files are private and only viewable by you.",SHARE_FILE_PRIVATE_TEXT:"The selected file is private and only viewable by you.",SHARE_FILES_PUBLIC_TEXT:"The selected files are public, and anyone with the links below can view the files.",SHARE_FILE_PUBLIC_TEXT:"The selected file is public, and anyone with the link below can view the file.",SHARE_FILES_MIXED_TEXT:"The selected files include both public and private files. Click one of the buttons below to share or unshare all files.",EMAIL_BUTTON_SINGLE:"Email Link",EMAIL_BUTTON_MULTI:"Email Links",EMAIL_LINK:"Email",SAVE_BUTTON:"Close",SHARE_FILES_ERROR:"There was an error changing the sharing state of the file(s): <%= error %>",SHARE_FILES_SESSION_TIMEOUT:'Your session has expired. Click "Close" below to return to the Sign In page.',SHARE_FILE_EMAIL_BODY:"To view the file, please click on the link below:",SHARE_FILES_EMAIL_BODY:"To view the files, please click on the links below:",SHARE_FILE_EMAIL_SUBJECT:"<%= firstName %> <%= lastName %> has shared a file with you.",SHARE_FILES_EMAIL_SUBJECT:"<%= firstName %> <%= lastName %> has shared files with you.",SHARE_FILES_AV_DISALLOWED:'Sharing of the file "<%= filename %>" failed because the sharing of audio and video files is not allowed.',SHARE_FILES_SHARING_DISALLOWED:'Sharing of the file "<%= filename %>" failed because sharing the file is not allowed.',FOLDER_UPLOAD_NOT_SUPPORTED_TITLE:"Folder Upload Not Available",FOLDER_UPLOAD_NOT_SUPPORTED_MSG:"We were unable to complete your upload request. Upload of a folder is not currently supported.",FILE_UPLOAD_FAILED_TITLE:"File Upload Failed",FILE_UPLOAD_FAILED_MSG:"We were unable to complete your upload request. You may have tried to upload a file too large or a folder.",FILE_OFFLINE_TITLE:"You're not connected to the internet.",FILE_OFFLINE_CONTENT:"To access shared files, please connect to the internet and try again.",FILE_OFFLINE_OK_LABEL:"Try Again",FILE_OFFLINE_ARIA_LABEL:"No Internet Connection. Try Again.",FILENAME_TEXT:"File Name",RESTRICT_EDITING:"Restrict Editing",REDUCE_FILE_SIZE:"Reduce File Size",EXPORT_FILE_FORMAT:"File Format",EXPORT_SETTINGS:"Settings",EXPORT_VIEW_RESULT:"Open file after export",SHARED_FILE_OVERWRITE_WARNING:"A shared file of the same name exists in this folder, which cannot be replaced. Try another name.",FILES_SIGN_OUT_TITLE:"Adobe's cloud storage",FILES_SIGN_OUT_CONTENT:"Sign in to access files",FILES_SIGN_IN_LABEL:"Sign In Now",CCLOUD_SIGN_OUT_TITLE:"Creative Cloud",CCLOUD_SIGN_OUT_CONTENT:"Sign in to access files",FILES_NO_ACCESS_TITLE:"No Access To Service",FILES_NO_ACCESS_MESSAGE:"You do not have access to this service. Please contact your IT Administrator to gain access, or try to ",FILES_NO_ACCESS_SIGN_IN_LINK:"Sign In with an Adobe ID.",MANAGE_DOCUMENTS_SENT_FOR_SIGNATURE:"Manage Documents Sent for Signature",ENCRYPTION_KEY_DISABLED_TITLE:"This content is unavailable due to enterprise restrictions",ENCRYPTION_KEY_DISABLED_MESSAGE:"The encryption key has been revoked and this content is no longer available. Please contact your administrator to re-enable the encryption key and check back again.",VIRGO_DOCUMENT_CLOUD:"Adobe cloud storage",VIRGO_SCANS:"Scans",VIRGO_NAME:"NAME",VIRGO_HDR_SHARE:"SHARING",VIRGO_MODIFIED:"MODIFIED",VIRGO_SIZE:"SIZE",VIRGO_CREATIVE_CLOUD:"Adobe Creative Cloud",VIRGO_SHAREPOINT:"SharePoint Site",VIRGO_DROPBOX:"Dropbox",VIRGO_GOOGLE_DRIVE:"Google Drive",VIRGO_BOX:"Box",VIRGO_ONEDRIVE:"OneDrive",VIRGO_LIST_VIEW:"List view",VIRGO_THUMBNAIL_VIEW:"Thumbnail view",VIRGO_ADOBE_SCAN:"Adobe Scan",OPTIMIZE_CHECKBOX_COACKMARK_TITLE:"Reduce your file size",OPTIMIZE_CHECKBOX_COACKMARK_CONTENT:"This file size is more than <%= fileSizeInMB %> MB. Reduce the file size before sending it to others."});