/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   4.1.0
 */

(function e(t,n,r){function i(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(s)return s(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return i(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var s=typeof require=="function"&&require;for(var o=0;o<r.length;o++)i(r[o]);return i})({1:[function(e,t,n){window.MicrosoftGraph=e("./lib/src/index.js")},{"./lib/src/index.js":5}],2:[function(e,t,n){Object.defineProperty(n,"__esModule",{value:!0});var r=e("superagent"),i=e("es6-promise"),s=e("./common"),o=e("./ResponseHandler"),u=e("../../package.json"),a=function(){function e(e,t){this.config=e,this._headers={},this.urlComponents={host:this.config.baseUrl,version:this.config.defaultVersion,oDataQueryParams:{},otherURLQueryParams:{}},this.parsePath(t)}return e.prototype.header=function(e,t){return this._headers[e]=t,this},e.prototype.headers=function(e){for(var t in e)this._headers[t]=e[t];return this},e.prototype.parsePath=function(e){if(e.indexOf("https://")!=-1){e=e.replace("https://","");var t=e.indexOf("/");this.urlComponents.host="https://"+e.substring(0,t),e=e.substring(t+1,e.length);var n=e.indexOf("/");this.urlComponents.version=e.substring(0,n),e=e.substring(n+1,e.length)}e.charAt(0)=="/"&&(e=e.substr(1));var r=e.indexOf("?");if(r==-1)this.urlComponents.path=e;else{this.urlComponents.path=e.substr(0,r);var i=e.substring(r+1,e.length).split("&");for(var o=0,u=i;o<u.length;o++){var a=u[o],f=a.split("="),l=f[0],c=f[1];s.oDataQueryNames.indexOf(l)?this.urlComponents.oDataQueryParams[l]=c:this.urlComponents.otherURLQueryParams[l]=c}}},e.prototype.urlJoin=function(e){var t=function(e){return e.replace(/\/+$/,"")},n=function(e){return e.replace(/^\/+/,"")},r=function(e,r){return[t(e),n(r)].join("/")},i=Array.prototype.slice.call(e);return i.reduce(r)},e.prototype.buildFullUrl=function(){var e=this.urlJoin([this.urlComponents.host,this.urlComponents.version,this.urlComponents.path])+this.createQueryString();return this.config.debugLogging&&console.log(e),e},e.prototype.version=function(e){return this.urlComponents.version=e,this},e.prototype.select=function(e){return this.addCsvQueryParamater("$select",e,arguments),this},e.prototype.expand=function(e){return this.addCsvQueryParamater("$expand",e,arguments),this},e.prototype.orderby=function(e){return this.addCsvQueryParamater("$orderby",e,arguments),this},e.prototype.filter=function(e){return this.urlComponents.oDataQueryParams.$filter=e,this},e.prototype.top=function(e){return this.urlComponents.oDataQueryParams.$top=e,this},e.prototype.skip=function(e){return this.urlComponents.oDataQueryParams.$skip=e,this},e.prototype.skipToken=function(e){return this.urlComponents.oDataQueryParams.$skipToken=e,this},e.prototype.count=function(e){return this.urlComponents.oDataQueryParams.$count=e.toString(),this},e.prototype.responseType=function(e){return this._responseType=e,this},e.prototype.addCsvQueryParamater=function(e,t,n){this.urlComponents.oDataQueryParams[e]=this.urlComponents.oDataQueryParams[e]?this.urlComponents.oDataQueryParams[e]+",":"";var r=[];typeof t=="string"?r.push(t):r=r.concat(t),n.length>1&&typeof t=="string"&&(r=Array.prototype.slice.call(n)),this.urlComponents.oDataQueryParams[e]+=r.join(",")},e.prototype.delete=function(e){var t=this.buildFullUrl();return this.sendRequestAndRouteResponse(r.del(t),e)},e.prototype.patch=function(e,t){var n=this.buildFullUrl();return this.sendRequestAndRouteResponse(r.patch(n).send(e),t)},e.prototype.post=function(e,t){var n=this.buildFullUrl();return this.sendRequestAndRouteResponse(r.post(n).send(e),t)},e.prototype.put=function(e,t){var n=this.buildFullUrl();return this.sendRequestAndRouteResponse(r.put(n).type("application/octet-stream").send(e),t)},e.prototype.create=function(e,t){return this.post(e,t)},e.prototype.update=function(e,t){return this.patch(e,t)},e.prototype.del=function(e){return this.delete(e)},e.prototype.get=function(e){var t=this.buildFullUrl();return this.sendRequestAndRouteResponse(r.get(t),e)},e.prototype.routeResponseToPromise=function(e){var t=this;return new i.Promise(function(n,r){t.routeResponseToCallback(e,function(e,t){e!=null?r(e):n(t)})})},e.prototype.routeResponseToCallback=function(e,t){var n=this;this.config.authProvider(function(r,i){if(r==null&&i!=null){var s=n.configureRequest(e,i);s.end(function(e,n){o.ResponseHandler.init(e,n,t)})}else t(r,null,null)})},e.prototype.sendRequestAndRouteResponse=function(e,t){if(t==null&&typeof i.Promise!="undefined")return this.routeResponseToPromise(e);this.routeResponseToCallback(e,t||function(){})},e.prototype.getStream=function(e){var t=this;this.config.authProvider(function(n,i){if(n===null&&i!==null){var s=t.buildFullUrl();e(null,t.configureRequest(r.get(s),i))}else e(n,null)})},e.prototype.putStream=function(e,t){var n=this;this.config.authProvider(function(i,s){if(i===null&&s!==null){var o=n.buildFullUrl(),u=n.configureRequest(r.put(o),s);u.type("application/octet-stream"),e.pipe(u).on("error",function(e){t(e,null)}).on("end",function(){t(null)})}})},e.prototype.configureRequest=function(e,t){var n=e.set("Authorization","Bearer "+t).set(this._headers).set("SdkVersion","graph-js-"+u.version);return this._responseType!==undefined&&n.responseType(this._responseType),n},e.prototype.query=function(e){if(typeof e=="string"){var t=e,n=t.split("=")[0],r=t.split("=")[1];this.urlComponents.otherURLQueryParams[n]=r}else for(var i in e)this.urlComponents.otherURLQueryParams[i]=e[i];return this},e.prototype.createQueryString=function(){var e=[];if(Object.keys(this.urlComponents.oDataQueryParams).length!=0)for(var t in this.urlComponents.oDataQueryParams)e.push(t+"="+this.urlComponents.oDataQueryParams[t]);if(Object.keys(this.urlComponents.otherURLQueryParams).length!=0)for(var t in this.urlComponents.otherURLQueryParams)e.push(t+"="+this.urlComponents.otherURLQueryParams[t]);return e.length>0?"?"+e.join("&"):""},e}();n.GraphRequest=a},{"../../package.json":16,"./ResponseHandler":3,"./common":4,"es6-promise":7,superagent:9}],3:[function(e,t,n){Object.defineProperty(n,"__esModule",{value:!0});var r=function(){function e(){}return e.init=function(t,n,r){n&&n.ok?r(null,n.body,n):t==null&&n.error!==null?r(e.ParseError(n),null,n):r(e.ParseError(t),null,n)},e.ParseError=function(e){var t;"rawResponse"in e?t=JSON.parse(e.rawResponse.replace(/^\uFEFF/,"")).error:e.response!==undefined&&e.response.body!==null&&"error"in e.response.body&&(t=e.response.body.error);var n;e.response!==undefined&&e.response.status!==undefined?n=e.response.status:n=e.statusCode;if(t===undefined)return{statusCode:n,code:null,message:null,requestId:null,date:new Date,body:null};var r={statusCode:n,code:t.code,message:t.message,requestId:t.innerError["request-id"],date:new Date(t.innerError.date),body:t};return r},e}();n.ResponseHandler=r},{}],4:[function(e,t,n){Object.defineProperty(n,"__esModule",{value:!0}),n.oDataQueryNames=["select","expand","orderby","filter","top","skip","skipToken","count"],n.DEFAULT_VERSION="v1.0",n.GRAPH_BASE_URL="https://graph.microsoft.com/",n.oDataQueryNames=n.oDataQueryNames.concat(n.oDataQueryNames.map(function(e){return"$"+e}))},{}],5:[function(e,t,n){Object.defineProperty(n,"__esModule",{value:!0});var r=e("./common"),i=e("./GraphRequest"),s=function(){function e(){this.config={debugLogging:!1,defaultVersion:r.DEFAULT_VERSION,baseUrl:r.GRAPH_BASE_URL}}return e.init=function(t){var n=new e;for(var r in t)n.config[r]=t[r];return n},e.prototype.api=function(e){return new i.GraphRequest(this.config,e)},e}();n.Client=s},{"./GraphRequest":2,"./common":4}],6:[function(e,t,n){function r(e){if(e)return i(e)}function i(e){for(var t in r.prototype)e[t]=r.prototype[t];return e}typeof t!="undefined"&&(t.exports=r),r.prototype.on=r.prototype.addEventListener=function(e,t){return this._callbacks=this._callbacks||{},(this._callbacks["$"+e]=this._callbacks["$"+e]||[]).push(t),this},r.prototype.once=function(e,t){function n(){this.off(e,n),t.apply(this,arguments)}return n.fn=t,this.on(e,n),this},r.prototype.off=r.prototype.removeListener=r.prototype.removeAllListeners=r.prototype.removeEventListener=function(e,t){this._callbacks=this._callbacks||{};if(0==arguments.length)return this._callbacks={},this;var n=this._callbacks["$"+e];if(!n)return this;if(1==arguments.length)return delete this._callbacks["$"+e],this;var r;for(var i=0;i<n.length;i++){r=n[i];if(r===t||r.fn===t){n.splice(i,1);break}}return this},r.prototype.emit=function(e){this._callbacks=this._callbacks||{};var t=[].slice.call(arguments,1),n=this._callbacks["$"+e];if(n){n=n.slice(0);for(var r=0,i=n.length;r<i;++r)n[r].apply(this,t)}return this},r.prototype.listeners=function(e){return this._callbacks=this._callbacks||{},this._callbacks["$"+e]||[]},r.prototype.hasListeners=function(e){return!!this.listeners(e).length}},{}],7:[function(e,t,n){(function(r,i){(function(e,r){typeof n=="object"&&typeof t!="undefined"?t.exports=r():typeof define=="function"&&define.amd?define(r):e.ES6Promise=r()})(this,function(){function t(e){return typeof e=="function"||typeof e=="object"&&e!==null}function n(e){return typeof e=="function"}function c(e){f=e}function h(e){l=e}function y(){return function(){return r.nextTick(T)}}function b(){return typeof a!="undefined"?function(){a(T)}:S()}function w(){var e=0,t=new v(T),n=document.createTextNode("");return t.observe(n,{characterData:!0}),function(){n.data=e=++e%2}}function E(){var e=new MessageChannel;return e.port1.onmessage=T,function(){return e.port2.postMessage(0)}}function S(){var e=setTimeout;return function(){return e(T,1)}}function T(){for(var e=0;e<u;e+=2){var t=x[e],n=x[e+1];t(n),x[e]=undefined,x[e+1]=undefined}u=0}function N(){try{var t=e,n=t("vertx");return a=n.runOnLoop||n.runOnContext,b()}catch(r){return S()}}function k(e,t){var n=arguments,r=this,i=new this.constructor(O);i[A]===undefined&&tt(i);var s=r._state;return s?function(){var e=n[s-1];l(function(){return G(s,i,e,r._result)})}():V(r,i,e,t),i}function L(e){var t=this;if(e&&typeof e=="object"&&e.constructor===t)return e;var n=new t(O);return U(n,e),n}function O(){}function H(){return new TypeError("You cannot resolve a promise with itself")}function B(){return new TypeError("A promises callback cannot return that same promise.")}function j(e){try{return e.then}catch(t){return P.error=t,P}}function F(e,t,n,r){try{e.call(t,n,r)}catch(i){return i}}function I(e,t,n){l(function(e){var r=!1,i=F(n,t,function(n){if(r)return;r=!0,t!==n?U(e,n):W(e,n)},function(t){if(r)return;r=!0,X(e,t)},"Settle: "+(e._label||" unknown promise"));!r&&i&&(r=!0,X(e,i))},e)}function q(e,t){t._state===_?W(e,t._result):t._state===D?X(e,t._result):V(t,undefined,function(t){return U(e,t)},function(t){return X(e,t)})}function R(e,t,r){t.constructor===e.constructor&&r===k&&t.constructor.resolve===L?q(e,t):r===P?(X(e,P.error),P.error=null):r===undefined?W(e,t):n(r)?I(e,t,r):W(e,t)}function U(e,n){e===n?X(e,H()):t(n)?R(e,n,j(n)):W(e,n)}function z(e){e._onerror&&e._onerror(e._result),$(e)}function W(e,t){if(e._state!==M)return;e._result=t,e._state=_,e._subscribers.length!==0&&l($,e)}function X(e,t){if(e._state!==M)return;e._state=D,e._result=t,l(z,e)}function V(e,t,n,r){var i=e._subscribers,s=i.length;e._onerror=null,i[s]=t,i[s+_]=n,i[s+D]=r,s===0&&e._state&&l($,e)}function $(e){var t=e._subscribers,n=e._state;if(t.length===0)return;var r=undefined,i=undefined,s=e._result;for(var o=0;o<t.length;o+=3)r=t[o],i=t[o+n],r?G(n,r,i,s):i(s);e._subscribers.length=0}function J(){this.error=null}function Q(e,t){try{return e(t)}catch(n){return K.error=n,K}}function G(e,t,r,i){var s=n(r),o=undefined,u=undefined,a=undefined,f=undefined;if(s){o=Q(r,i),o===K?(f=!0,u=o.error,o.error=null):a=!0;if(t===o){X(t,B());return}}else o=i,a=!0;t._state===M&&(s&&a?U(t,o):f?X(t,u):e===_?W(t,o):e===D&&X(t,o))}function Y(e,t){try{t(function(n){U(e,n)},function(n){X(e,n)})}catch(n){X(e,n)}}function et(){return Z++}function tt(e){e[A]=Z++,e._state=undefined,e._result=undefined,e._subscribers=[]}function nt(e,t){this._instanceConstructor=e,this.promise=new e(O),this.promise[A]||tt(this.promise),o(t)?(this._input=t,this.length=t.length,this._remaining=t.length,this._result=new Array(this.length),this.length===0?W(this.promise,this._result):(this.length=this.length||0,this._enumerate(),this._remaining===0&&W(this.promise,this._result))):X(this.promise,rt())}function rt(){return new Error("Array Methods must be provided an Array")}function it(e){return(new nt(this,e)).promise}function st(e){var t=this;return o(e)?new t(function(n,r){var i=e.length;for(var s=0;s<i;s++)t.resolve(e[s]).then(n,r)}):new t(function(e,t){return t(new TypeError("You must pass an array to race."))})}function ot(e){var t=this,n=new t(O);return X(n,e),n}function ut(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}function at(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}function ft(e){this[A]=et(),this._result=this._state=undefined,this._subscribers=[],O!==e&&(typeof e!="function"&&ut(),this instanceof ft?Y(this,e):at())}function lt(){var e=undefined;if(typeof i!="undefined")e=i;else if(typeof self!="undefined")e=self;else try{e=Function("return this")()}catch(t){throw new Error("polyfill failed because global object is unavailable in this environment")}var n=e.Promise;if(n){var r=null;try{r=Object.prototype.toString.call(n.resolve())}catch(t){}if(r==="[object Promise]"&&!n.cast)return}e.Promise=ft}var s=undefined;Array.isArray?s=Array.isArray:s=function(e){return Object.prototype.toString.call(e)==="[object Array]"};var o=s,u=0,a=undefined,f=undefined,l=function(t,n){x[u]=t,x[u+1]=n,u+=2,u===2&&(f?f(T):C())},p=typeof window!="undefined"?window:undefined,d=p||{},v=d.MutationObserver||d.WebKitMutationObserver,m=typeof self=="undefined"&&typeof r!="undefined"&&{}.toString.call(r)==="[object process]",g=typeof Uint8ClampedArray!="undefined"&&typeof importScripts!="undefined"&&typeof MessageChannel!="undefined",x=new Array(1e3),C=undefined;m?C=y():v?C=w():g?C=E():p===undefined&&typeof e=="function"?C=N():C=S();var A=Math.random().toString(36).substring(16),M=void 0,_=1,D=2,P=new J,K=new J,Z=0;return nt.prototype._enumerate=function(){var e=this.length,t=this._input;for(var n=0;this._state===M&&n<e;n++)this._eachEntry(t[n],n)},nt.prototype._eachEntry=function(e,t){var n=this._instanceConstructor,r=n.resolve;if(r===L){var i=j(e);if(i===k&&e._state!==M)this._settledAt(e._state,t,e._result);else if(typeof i!="function")this._remaining--,this._result[t]=e;else if(n===ft){var s=new n(O);R(s,e,i),this._willSettleAt(s,t)}else this._willSettleAt(new n(function(t){return t(e)}),t)}else this._willSettleAt(r(e),t)},nt.prototype._settledAt=function(e,t,n){var r=this.promise;r._state===M&&(this._remaining--,e===D?X(r,n):this._result[t]=n),this._remaining===0&&W(r,this._result)},nt.prototype._willSettleAt=function(e,t){var n=this;V(e,undefined,function(e){return n._settledAt(_,t,e)},function(e){return n._settledAt(D,t,e)})},ft.all=it,ft.race=st,ft.resolve=L,ft.reject=ot,ft._setScheduler=c,ft._setAsap=h,ft._asap=l,ft.prototype={constructor:ft,then:k,"catch":function(t){return this.then(null,t)}},ft.polyfill=lt,ft.Promise=ft,ft})}).call(this,e("_process"),typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{_process:8}],8:[function(e,t,n){function o(){throw new Error("setTimeout has not been defined")}function u(){throw new Error("clearTimeout has not been defined")}function a(e){if(i===setTimeout)return setTimeout(e,0);if((i===o||!i)&&setTimeout)return i=setTimeout,setTimeout(e,0);try{return i(e,0)}catch(t){try{return i.call(null,e,0)}catch(t){return i.call(this,e,0)}}}function f(e){if(s===clearTimeout)return clearTimeout(e);if((s===u||!s)&&clearTimeout)return s=clearTimeout,clearTimeout(e);try{return s(e)}catch(t){try{return s.call(null,e)}catch(t){return s.call(this,e)}}}function d(){if(!c||!h)return;c=!1,h.length?l=h.concat(l):p=-1,l.length&&v()}function v(){if(c)return;var e=a(d);c=!0;var t=l.length;while(t){h=l,l=[];while(++p<t)h&&h[p].run();p=-1,t=l.length}h=null,c=!1,f(e)}function m(e,t){this.fun=e,this.array=t}function g(){}var r=t.exports={},i,s;(function(){try{typeof setTimeout=="function"?i=setTimeout:i=o}catch(e){i=o}try{typeof clearTimeout=="function"?s=clearTimeout:s=u}catch(e){s=u}})();var l=[],c=!1,h,p=-1;r.nextTick=function(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)t[n-1]=arguments[n];l.push(new m(e,t)),l.length===1&&!c&&a(v)},m.prototype.run=function(){this.fun.apply(null,this.array)},r.title="browser",r.browser=!0,r.env={},r.argv=[],r.version="",r.versions={},r.on=g,r.addListener=g,r.once=g,r.off=g,r.removeListener=g,r.removeAllListeners=g,r.emit=g,r.binding=function(e){throw new Error("process.binding is not supported")},r.cwd=function(){return"/"},r.chdir=function(e){throw new Error("process.chdir is not supported")},r.umask=function(){return 0}},{}],9:[function(e,t,n){function l(){}function p(e){if(!o(e))return e;var t=[];for(var n in e)d(t,n,e[n]);return t.join("&")}function d(e,t,n){if(n!=null)if(Array.isArray(n))n.forEach(function(n){d(e,t,n)});else if(o(n))for(var r in n)d(e,t+"["+r+"]",n[r]);else e.push(encodeURIComponent(t)+"="+encodeURIComponent(n));else n===null&&e.push(encodeURIComponent(t))}function v(e){var t={},n=e.split("&"),r,i;for(var s=0,o=n.length;s<o;++s)r=n[s],i=r.indexOf("="),i==-1?t[decodeURIComponent(r)]="":t[decodeURIComponent(r.slice(0,i))]=decodeURIComponent(r.slice(i+1));return t}function m(e){var t=e.split(/\r?\n/),n={},r,i,s,o;t.pop();for(var u=0,a=t.length;u<a;++u)i=t[u],r=i.indexOf(":"),s=i.slice(0,r).toLowerCase(),o=h(i.slice(r+1)),n[s]=o;return n}function g(e){return/[\/+]json\b/.test(e)}function y(e){this.req=e,this.xhr=this.req.xhr,this.text=this.req.method!="HEAD"&&(this.xhr.responseType===""||this.xhr.responseType==="text")||typeof this.xhr.responseType=="undefined"?this.xhr.responseText:null,this.statusText=this.req.xhr.statusText;var t=this.xhr.status;t===1223&&(t=204),this._setStatusProperties(t),this.header=this.headers=m(this.xhr.getAllResponseHeaders()),this.header["content-type"]=this.xhr.getResponseHeader("content-type"),this._setHeaderProperties(this.header),null===this.text&&e._responseType?this.body=this.xhr.response:this.body=this.req.method!="HEAD"?this._parseBody(this.text?this.text:this.xhr.response):null}function b(e,t){var n=this;this._query=this._query||[],this.method=e,this.url=t,this.header={},this._header={},this.on("end",function(){var e=null,t=null;try{t=new y(n)}catch(r){return e=new Error("Parser is unable to parse the response"),e.parse=!0,e.original=r,n.xhr?(e.rawResponse=typeof n.xhr.responseType=="undefined"?n.xhr.responseText:n.xhr.response,e.status=n.xhr.status?n.xhr.status:null,e.statusCode=e.status):(e.rawResponse=null,e.status=null),n.callback(e)}n.emit("response",t);var i;try{n._isResponseOK(t)||(i=new Error(t.statusText||"Unsuccessful HTTP response"),i.original=e,i.response=t,i.status=t.status)}catch(r){i=r}i?n.callback(i,t):n.callback(null,t)})}function w(e,t,n){var r=c("DELETE",e);return"function"==typeof t&&(n=t,t=null),t&&r.send(t),n&&r.end(n),r}var r;typeof window!="undefined"?r=window:typeof self!="undefined"?r=self:(console.warn("Using browser-only version of superagent in non-browser environment"),r=this);var i=e("component-emitter"),s=e("./request-base"),o=e("./is-object"),u=e("./is-function"),a=e("./response-base"),f=e("./should-retry"),c=n=t.exports=function(e,t){return"function"==typeof t?(new n.Request("GET",e)).end(t):1==arguments.length?new n.Request("GET",e):new n.Request(e,t)};n.Request=b,c.getXHR=function(){if(r.XMLHttpRequest&&(!r.location||"file:"!=r.location.protocol||!r.ActiveXObject))return new XMLHttpRequest;try{return new ActiveXObject("Microsoft.XMLHTTP")}catch(e){}try{return new ActiveXObject("Msxml2.XMLHTTP.6.0")}catch(e){}try{return new ActiveXObject("Msxml2.XMLHTTP.3.0")}catch(e){}try{return new ActiveXObject("Msxml2.XMLHTTP")}catch(e){}throw Error("Browser-only verison of superagent could not find XHR")};var h="".trim?function(e){return e.trim()}:function(e){return e.replace(/(^\s*|\s*$)/g,"")};c.serializeObject=p,c.parseString=v,c.types={html:"text/html",json:"application/json",xml:"application/xml",urlencoded:"application/x-www-form-urlencoded",form:"application/x-www-form-urlencoded","form-data":"application/x-www-form-urlencoded"},c.serialize={"application/x-www-form-urlencoded":p,"application/json":JSON.stringify},c.parse={"application/x-www-form-urlencoded":v,"application/json":JSON.parse},a(y.prototype),y.prototype._parseBody=function(e){var t=c.parse[this.type];return this.req._parser?this.req._parser(this,e):(!t&&g(this.type)&&(t=c.parse["application/json"]),t&&e&&(e.length||e instanceof Object)?t(e):null)},y.prototype.toError=function(){var e=this.req,t=e.method,n=e.url,r="cannot "+t+" "+n+" ("+this.status+")",i=new Error(r);return i.status=this.status,i.method=t,i.url=n,i},c.Response=y,i(b.prototype),s(b.prototype),b.prototype.type=function(e){return this.set("Content-Type",c.types[e]||e),this},b.prototype.accept=function(e){return this.set("Accept",c.types[e]||e),this},b.prototype.auth=function(e,t,n){typeof t=="object"&&t!==null&&(n=t),n||(n={type:"function"==typeof btoa?"basic":"auto"});switch(n.type){case"basic":this.set("Authorization","Basic "+btoa(e+":"+t));break;case"auto":this.username=e,this.password=t;break;case"bearer":this.set("Authorization","Bearer "+e)}return this},b.prototype.query=function(e){return"string"!=typeof e&&(e=p(e)),e&&this._query.push(e),this},b.prototype.attach=function(e,t,n){if(t){if(this._data)throw Error("superagent can't mix .send() and .attach()");this._getFormData().append(e,t,n||t.name)}return this},b.prototype._getFormData=function(){return this._formData||(this._formData=new r.FormData),this._formData},b.prototype.callback=function(e,t){if(this._maxRetries&&this._retries++<this._maxRetries&&f(e,t))return this._retry();var n=this._callback;this.clearTimeout(),e&&(this._maxRetries&&(e.retries=this._retries-1),this.emit("error",e)),n(e,t)},b.prototype.crossDomainError=function(){var e=new Error("Request has been terminated\nPossible causes: the network is offline, Origin is not allowed by Access-Control-Allow-Origin, the page is being unloaded, etc.");e.crossDomain=!0,e.status=this.status,e.method=this.method,e.url=this.url,this.callback(e)},b.prototype.buffer=b.prototype.ca=b.prototype.agent=function(){return console.warn("This is not supported in browser version of superagent"),this},b.prototype.pipe=b.prototype.write=function(){throw Error("Streaming is not supported in browser version of superagent")},b.prototype._appendQueryString=function(){var e=this._query.join("&");e&&(this.url+=(this.url.indexOf("?")>=0?"&":"?")+e);if(this._sort){var t=this.url.indexOf("?");if(t>=0){var n=this.url.substring(t+1).split("&");u(this._sort)?n.sort(this._sort):n.sort(),this.url=this.url.substring(0,t)+"?"+n.join("&")}}},b.prototype._isHost=function(t){return t&&"object"==typeof t&&!Array.isArray(t)&&Object.prototype.toString.call(t)!=="[object Object]"},b.prototype.end=function(e){return this._endCalled&&console.warn("Warning: .end() was called twice. This is not supported in superagent"),this._endCalled=!0,this._callback=e||l,this._appendQueryString(),this._end()},b.prototype._end=function(){var e=this,t=this.xhr=c.getXHR(),n=this._formData||this._data;this._setTimeouts(),t.onreadystatechange=function(){var n=t.readyState;n>=2&&e._responseTimeoutTimer&&clearTimeout(e._responseTimeoutTimer);if(4!=n)return;var r;try{r=t.status}catch(i){r=0}if(!r){if(e.timedout||e._aborted)return;return e.crossDomainError()}e.emit("end")};var r=function(t,n){n.total>0&&(n.percent=n.loaded/n.total*100),n.direction=t,e.emit("progress",n)};if(this.hasListeners("progress"))try{t.onprogress=r.bind(null,"download"),t.upload&&(t.upload.onprogress=r.bind(null,"upload"))}catch(i){}try{this.username&&this.password?t.open(this.method,this.url,!0,this.username,this.password):t.open(this.method,this.url,!0)}catch(s){return this.callback(s)}this._withCredentials&&(t.withCredentials=!0);if(!this._formData&&"GET"!=this.method&&"HEAD"!=this.method&&"string"!=typeof n&&!this._isHost(n)){var o=this._header["content-type"],u=this._serializer||c.serialize[o?o.split(";")[0]:""];!u&&g(o)&&(u=c.serialize["application/json"]),u&&(n=u(n))}for(var a in this.header){if(null==this.header[a])continue;this.header.hasOwnProperty(a)&&t.setRequestHeader(a,this.header[a])}return this._responseType&&(t.responseType=this._responseType),this.emit("request",this),t.send(typeof n!="undefined"?n:null),this},c.get=function(e,t,n){var r=c("GET",e);return"function"==typeof t&&(n=t,t=null),t&&r.query(t),n&&r.end(n),r},c.head=function(e,t,n){var r=c("HEAD",e);return"function"==typeof t&&(n=t,t=null),t&&r.send(t),n&&r.end(n),r},c.options=function(e,t,n){var r=c("OPTIONS",e);return"function"==typeof t&&(n=t,t=null),t&&r.send(t),n&&r.end(n),r},c.del=w,c["delete"]=w,c.patch=function(e,t,n){var r=c("PATCH",e);return"function"==typeof t&&(n=t,t=null),t&&r.send(t),n&&r.end(n),r},c.post=function(e,t,n){var r=c("POST",e);return"function"==typeof t&&(n=t,t=null),t&&r.send(t),n&&r.end(n),r},c.put=function(e,t,n){var r=c("PUT",e);return"function"==typeof t&&(n=t,t=null),t&&r.send(t),n&&r.end(n),r}},{"./is-function":10,"./is-object":11,"./request-base":12,"./response-base":13,"./should-retry":14,"component-emitter":6}],10:[function(e,t,n){function i(e){var t=r(e)?Object.prototype.toString.call(e):"";return t==="[object Function]"}var r=e("./is-object");t.exports=i},{"./is-object":11}],11:[function(e,t,n){function r(e){return null!==e&&"object"==typeof e}t.exports=r},{}],12:[function(e,t,n){function i(e){if(e)return s(e)}function s(e){for(var t in i.prototype)e[t]=i.prototype[t];return e}var r=e("./is-object");t.exports=i,i.prototype.clearTimeout=function(){return clearTimeout(this._timer),clearTimeout(this._responseTimeoutTimer),delete this._timer,delete this._responseTimeoutTimer,this},i.prototype.parse=function(t){return this._parser=t,this},i.prototype.responseType=function(e){return this._responseType=e,this},i.prototype.serialize=function(t){return this._serializer=t,this},i.prototype.timeout=function(t){if(!t||"object"!=typeof t)return this._timeout=t,this._responseTimeout=0,this;for(var n in t)switch(n){case"deadline":this._timeout=t.deadline;break;case"response":this._responseTimeout=t.response;break;default:console.warn("Unknown timeout option",n)}return this},i.prototype.retry=function(t){if(arguments.length===0||t===!0)t=1;return t<=0&&(t=0),this._maxRetries=t,this._retries=0,this},i.prototype._retry=function(){return this.clearTimeout(),this.req&&(this.req=null,this.req=this.request()),this._aborted=!1,this.timedout=!1,this._end()},i.prototype.then=function(t,n){if(!this._fullfilledPromise){var r=this;this._endCalled&&console.warn("Warning: superagent request was sent twice, because both .end() and .then() were called. Never call .end() if you use promises"),this._fullfilledPromise=new Promise(function(e,t){r.end(function(n,r){n?t(n):e(r)})})}return this._fullfilledPromise.then(t,n)},i.prototype.catch=function(e){return this.then(undefined,e)},i.prototype.use=function(t){return t(this),this},i.prototype.ok=function(e){if("function"!=typeof e)throw Error("Callback required");return this._okCallback=e,this},i.prototype._isResponseOK=function(e){return e?this._okCallback?this._okCallback(e):e.status>=200&&e.status<300:!1},i.prototype.get=function(e){return this._header[e.toLowerCase()]},i.prototype.getHeader=i.prototype.get,i.prototype.set=function(e,t){if(r(e)){for(var n in e)this.set(n,e[n]);return this}return this._header[e.toLowerCase()]=t,this.header[e]=t,this},i.prototype.unset=function(e){return delete this._header[e.toLowerCase()],delete this.header[e],this},i.prototype.field=function(e,t){if(null===e||undefined===e)throw new Error(".field(name, val) name can not be empty");this._data&&console.error(".field() can't be used if .send() is used. Please use only .send() or only .field() & .attach()");if(r(e)){for(var n in e)this.field(n,e[n]);return this}if(Array.isArray(t)){for(var i in t)this.field(e,t[i]);return this}if(null===t||undefined===t)throw new Error(".field(name, val) val can not be empty");return"boolean"==typeof t&&(t=""+t),this._getFormData().append(e,t),this},i.prototype.abort=function(){return this._aborted?this:(this._aborted=!0,this.xhr&&this.xhr.abort(),this.req&&this.req.abort(),this.clearTimeout(),this.emit("abort"),this)},i.prototype.withCredentials=function(e){return e==undefined&&(e=!0),this._withCredentials=e,this},i.prototype.redirects=function(e){return this._maxRedirects=e,this},i.prototype.toJSON=function(){return{method:this.method,url:this.url,data:this._data,headers:this._header}},i.prototype.send=function(e){var t=r(e),n=this._header["content-type"];this._formData&&console.error(".send() can't be used if .attach() or .field() is used. Please use only .send() or only .field() & .attach()");if(t&&!this._data)Array.isArray(e)?this._data=[]:this._isHost(e)||(this._data={});else if(e&&this._data&&this._isHost(this._data))throw Error("Can't merge these send calls");if(t&&r(this._data))for(var i in e)this._data[i]=e[i];else"string"==typeof e?(n||this.type("form"),n=this._header["content-type"],"application/x-www-form-urlencoded"==n?this._data=this._data?this._data+"&"+e:e:this._data=(this._data||"")+e):this._data=e;return!t||this._isHost(e)?this:(n||this.type("json"),this)},i.prototype.sortQuery=function(e){return this._sort=typeof e=="undefined"?!0:e,this},i.prototype._timeoutError=function(e,t,n){if(this._aborted)return;var r=new Error(e+t+"ms exceeded");r.timeout=t,r.code="ECONNABORTED",r.errno=n,this.timedout=!0,this.abort(),this.callback(r)},i.prototype._setTimeouts=function(){var e=this;this._timeout&&!this._timer&&(this._timer=setTimeout(function(){e._timeoutError("Timeout of ",e._timeout,"ETIME")},this._timeout)),this._responseTimeout&&!this._responseTimeoutTimer&&(this._responseTimeoutTimer=setTimeout(function(){e._timeoutError("Response timeout of ",e._responseTimeout,"ETIMEDOUT")},this._responseTimeout))}},{"./is-object":11}],13:[function(e,t,n){function i(e){if(e)return s(e)}function s(e){for(var t in i.prototype)e[t]=i.prototype[t];return e}var r=e("./utils");t.exports=i,i.prototype.get=function(e){return this.header[e.toLowerCase()]},i.prototype._setHeaderProperties=function(e){var t=e["content-type"]||"";this.type=r.type(t);var n=r.params(t);for(var i in n)this[i]=n[i];this.links={};try{e.link&&(this.links=r.parseLinks(e.link))}catch(s){}},i.prototype._setStatusProperties=function(e){var t=e/100|0;this.status=this.statusCode=e,this.statusType=t,this.info=1==t,this.ok=2==t,this.redirect=3==t,this.clientError=4==t,this.serverError=5==t,this.error=4==t||5==t?this.toError():!1,this.accepted=202==e,this.noContent=204==e,this.badRequest=400==e,this.unauthorized=401==e,this.notAcceptable=406==e,this.forbidden=403==e,this.notFound=404==e}},{"./utils":15}],14:[function(e,t,n){var r=["ECONNRESET","ETIMEDOUT","EADDRINFO","ESOCKETTIMEDOUT"];t.exports=function(t,n){return t&&t.code&&~r.indexOf(t.code)?!0:n&&n.status&&n.status>=500?!0:t&&"timeout"in t&&t.code=="ECONNABORTED"?!0:t&&"crossDomain"in t?!0:!1}},{}],15:[function(e,t,n){n.type=function(e){return e.split(/ *; */).shift()},n.params=function(e){return e.split(/ *; */).reduce(function(e,t){var n=t.split(/ *= */),r=n.shift(),i=n.shift();return r&&i&&(e[r]=i),e},{})},n.parseLinks=function(e){return e.split(/ *, */).reduce(function(e,t){var n=t.split(/ *; */),r=n[0].slice(1,-1),i=n[1].split(/ *= */)[1].slice(1,-1);return e[i]=r,e},{})},n.cleanHeader=function(e,t){return delete e["content-type"],delete e["content-length"],delete e["transfer-encoding"],delete e.host,t&&delete e.cookie,e}},{}],16:[function(e,t,n){t.exports={name:"@microsoft/microsoft-graph-client",version:"0.4.1",description:"Microsoft Graph Client Library",main:"lib/src/index.js",typings:"lib/src/index",files:["lib/"],types:"./lib/src/index.d.ts",devDependencies:{"@types/superagent":"^2.0.36","@types/mocha":"^2.2.34",browserify:"^13.1.0",mocha:"^3.2.0",typescript:"^2.2.1"},scripts:{build:"tsc && node node-browserify.js > lib/graph-js-sdk-web.js",test:"mocha lib/test","test:types":"mocha lib/test"},dependencies:{superagent:"^3.5.2","es6-promise":"^4.1.0"},repository:{type:"git",url:"https://github.com/microsoftgraph/msgraph-sdk-javascript.git"}}},{}]},{},[1]);